Artifacts
Create an artifact
Create a file artifact for a session from inline content or an uploaded asset.
POST
/
v1
/
artifacts
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const artifact = await client.artifacts.create({
title: 'x',
output: {
type: 'html',
content: 'x',
},
sessionId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
});curl --request POST \
--url https://api.tembo.io/v1/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"output": {
"type": "html",
"content": "<string>",
"fileName": "<string>"
},
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"relatedPullRequestUrls": [
"<string>"
]
}
'import requests
url = "https://api.tembo.io/v1/artifacts"
payload = {
"title": "<string>",
"output": {
"type": "html",
"content": "<string>",
"fileName": "<string>"
},
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"relatedPullRequestUrls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
output: {type: 'html', content: '<string>', fileName: '<string>'},
sessionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
relatedPullRequestUrls: ['<string>']
})
};
fetch('https://api.tembo.io/v1/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'output' => [
'type' => 'html',
'content' => '<string>',
'fileName' => '<string>'
],
'sessionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'description' => '<string>',
'relatedPullRequestUrls' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/artifacts"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/artifacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PullRequest",
"updatedAt": "2023-11-07T05:31:56Z",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetUrl": "<string>",
"category": "code_walkthrough",
"content": "<string>",
"contentType": "<string>",
"description": "<string>",
"fileKind": "image",
"fileName": "<string>",
"outputType": "html",
"relatedPullRequestUrls": [
"<string>"
],
"runtime": {
"hostname": "<string>",
"serviceName": "<string>",
"serviceType": "<string>"
},
"servicePort": 32768,
"serviceUrl": "<string>",
"sizeBytes": 1,
"sourceUrl": "<string>",
"title": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Human-readable title for the artifact.
Required string length:
1 - 200Artifact content or a reference to an uploaded asset. The type field selects the required fields.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Short description of what the artifact shows.
Required string length:
1 - 2000Artifact category for display and filtering.
Available options:
code_walkthrough, bug_report, incident_report, license_audit, data_flow_map, security_findings, cost_map, ux_variations, architecture_map, migration_summary, release_checklist, shipped_summary, rollout_plan, diagram, chart, dashboard, timeline, comparison, report URLs of pull requests related to this artifact.
Maximum array length:
20Response
Create an artifact
Available options:
PullRequest, ToolCall, Plan, Response, File, Service, Source Available options:
code_walkthrough, bug_report, incident_report, license_audit, data_flow_map, security_findings, cost_map, ux_variations, architecture_map, migration_summary, release_checklist, shipped_summary, rollout_plan, diagram, chart, dashboard, timeline, comparison, report, null Available options:
image, video, audio, html, markdown, text, file Available options:
html, markdown, json, csv, asset, null Show child attributes
Show child attributes
Required range:
1 <= x <= 65535Required range:
x >= 0Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const artifact = await client.artifacts.create({
title: 'x',
output: {
type: 'html',
content: 'x',
},
sessionId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
});curl --request POST \
--url https://api.tembo.io/v1/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"output": {
"type": "html",
"content": "<string>",
"fileName": "<string>"
},
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"relatedPullRequestUrls": [
"<string>"
]
}
'import requests
url = "https://api.tembo.io/v1/artifacts"
payload = {
"title": "<string>",
"output": {
"type": "html",
"content": "<string>",
"fileName": "<string>"
},
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"relatedPullRequestUrls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
output: {type: 'html', content: '<string>', fileName: '<string>'},
sessionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
relatedPullRequestUrls: ['<string>']
})
};
fetch('https://api.tembo.io/v1/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'output' => [
'type' => 'html',
'content' => '<string>',
'fileName' => '<string>'
],
'sessionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'description' => '<string>',
'relatedPullRequestUrls' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/artifacts"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/artifacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"output\": {\n \"type\": \"html\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\"\n },\n \"sessionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"description\": \"<string>\",\n \"relatedPullRequestUrls\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PullRequest",
"updatedAt": "2023-11-07T05:31:56Z",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetUrl": "<string>",
"category": "code_walkthrough",
"content": "<string>",
"contentType": "<string>",
"description": "<string>",
"fileKind": "image",
"fileName": "<string>",
"outputType": "html",
"relatedPullRequestUrls": [
"<string>"
],
"runtime": {
"hostname": "<string>",
"serviceName": "<string>",
"serviceType": "<string>"
},
"servicePort": 32768,
"serviceUrl": "<string>",
"sizeBytes": 1,
"sourceUrl": "<string>",
"title": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}